#ifndef MHISTOSADC_H
#define MHISTOSADC_H

#include "Magic.h"

#include <TObjArray.h>

#include "MParContainer.h"

class MHistosAdc : public MParContainer
{
private:
    TObjArray *fHistHigh;	// List of High gain Histograms
    TObjArray *fHistLow;	// List of Low  gain Histograms

public:
     MHistosAdc();
    ~MHistosAdc();

    void FillAdcHist(Int_t iPix, UChar_t * data);
    void SaveHist(char *name);

    void Print(Option_t * t = NULL);


    TObjArray* GetHighList() 
      { 
	return ( fHistHigh ) ; 
      }   

    TObjArray* GetLowList() 
      { 
	return ( fHistLow ) ; 
      } 
    
    Int_t GetHighEntries() 
      { 
	return (fHistHigh->GetEntries() ) ;  
      } 

    Int_t GetLowEntries() 
      { 
	return (fHistLow->GetEntries() ) ;  
      } 

      
    ClassDef(MHistosAdc, 1)	// list of Histograms with ADC spectra
};

#endif

